Bug 136220 - would be useful for gulm_tool to print resources/services registered with lock_gulmd
would be useful for gulm_tool to print resources/services registered with loc...
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: michael conrad tadpol tilstra
GFS Bugs
: FutureFeature
Depends On:
Blocks: 135730 137219
  Show dependency treegraph
 
Reported: 2004-10-18 15:18 EDT by Adam "mantis" Manthei
Modified: 2010-01-11 21:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 11:58:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
implementation for `gulm_tool resourcelist $server` (5.58 KB, patch)
2004-10-18 15:23 EDT, Adam "mantis" Manthei
no flags Details | Diff

  None (edit)
Description Adam "mantis" Manthei 2004-10-18 15:18:37 EDT
Description of problem:
It would be very useful to use gulm_tool to extract what
resources/services are currently registered with lock_gulmd.  This
information is currently available by sending SIGUSR1 to core and
parsing the resulting /tmp/Gulm_Services debugging file.  It would be
helpfull to expose this information to a more user friendly interface
so that users and scripts could utilize this information easier.  With
this information, it would be much easier for scripts to work around
bugs such as bug #135730 and bug #129193


Version-Release number of selected component (if applicable):
GFS-6.0.0-15 and earlier
Comment 1 Adam "mantis" Manthei 2004-10-18 15:23:05 EDT
Created attachment 105394 [details]
implementation for `gulm_tool resourcelist $server`

The attached patch is a proposal for how to implement this enhancement. 
Included in the patch is a fix for bug #135730 demonstrating how this may be
useful.

I'm a bit confused by the terminology.	I don't know if this is a "resoucelist"
or a "servicelist".  I also don't know if there is a difference between
"resources" and "services", but at least this provides the general idea of what
I had in mind.
Comment 2 michael conrad tadpol tilstra 2004-10-18 16:40:08 EDT
blerg. thought I had that in there.
There is already a stuff in gio_wiretypes.h for this. Matter-a-fact
the library interface can already do this.  Seems I just forgot to add
the stuff to gulm_tool.

As for the naming, when this was first added I called all this
resources.  This was deemed to confusing, so it was changed to
services externally.  So there is still stuff that referes to
resources, but everything users see should be services.  (so
"servicelist")
Comment 3 michael conrad tadpol tilstra 2004-10-18 16:58:16 EDT
should be in 6.0
will get to other trees soonish.
Comment 4 Derek Anderson 2004-12-02 10:29:08 EST
This should be added to the usage statement and manpage so we're not
asking each other in a month, "Was that resourse_list or servicelist?"
Comment 5 michael conrad tadpol tilstra 2004-12-02 10:58:20 EST
usage and man page fixed in 6.0
Comment 6 Tim Powers 2004-12-03 11:58:46 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-659.html

Note You need to log in before you can comment on or make changes to this bug.